##
# Pick Item 是出库单项。

module Unidom
  module Inventory

    class PickItem < ApplicationRecord

      self.table_name = 'unidom_pick_items'

      include Unidom::Common::Concerns::ModelExtension

      validates :quantity, presence: true, numericality: true

      belongs_to :pick_list,      class_name:  'Unidom::Inventory::PickList'
      belongs_to :inventory_item, polymorphic: true

    end unless Unidom::Common::Neglection.namespace_neglected? 'Unidom::Inventory::PickItem'

  end
end
